LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XPropertyChangeListener Interface Referencepublished

is used to receive PropertyChangeEvents whenever a bound property is changed. More...

`import "XPropertyChangeListener.idl";`

Inheritance diagram for XPropertyChangeListener:

## Public Member Functions
void | propertyChange ([in] com::sun::star::beans::PropertyChangeEvent evt)
| is called when a bound property is changed.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is used to receive PropertyChangeEvents whenever a bound property is changed.

## Member Function Documentation

## ◆ propertyChange()

void propertyChange | ( | [in] com::sun::star::beans::PropertyChangeEvent | evt | ) |

is called when a bound property is changed.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XPropertyChangeListener.idl